package com.tofly.ghrq_route.module.message.domain;

import java.io.Serializable;
import java.util.List;

import com.tofly.ghrq_route.module.message.domain.InMessageBean.FilesBean;

/**
 * Created by Amu on 2017/5/9.
 */
@SuppressWarnings("serial")
public class OutMessageBean implements Serializable {
    /**
     * id : AED6865FEB164E3FB5BFEAA5C0526C47
     * receive_userid : 1
     * receive_username : 管理员
     * receive_usertype : 管理员
     * msgcontent : 您有一条隐患需要定级
     * isread : 1
     * read_time : 2017-05-08 10:07:04
     * companyid : 90
     * url : null
     * extend : {"command":1,"comman_data":{"ID":"69D678BC6DB24DB98CF80D05251B7E0E","SID":null,"USERID":"3","PADID":"81213AEC9FA04AC3A6D62A0681610EC0","TROUBLE_TYPEID":"D6892F90E4154FCFAA52940455019554","NOTES":null,"STATE":0.0,"LOCATION_X":106.526178,"LOCATION_Y":29.584048,"LOCATION_LONGITUDE":106.515774,"LOCATION_LATITUDE":29.580999,"ADDRESS":"重庆市 渝北区  花卉园东路","FINDTIME":null,"UPLOADTIME":"2017-05-05T15:10:10.1605126+08:00","HANDLE_TIME":null,"HANDEL_USERID":null,"HANDLE_USERNAME":null,"HANDLE_STATE":0.0,"HANDLE_TROUBLE_CLEAR":0.0,"HANDLE_NOTES":null,"HANDLE_PICTURE_STATE":0.0,"COMPANYID":"90","LEVELID":null,"EQUID":"C001","LEVEL_USERID":null,"LEVEL_TIME":null,"LEVEL_USERNAME":null,"LEVEL_CHECK_USERID":null,"LEVEL_CHECK_USERNAME":null,"LEVEL_CHECK_STATE":0.0,"LEVEL_CHECK_TIME":null,"LEVEL_CHECK_NOTE":null,"LEVEL_STATE":0.0}}
     * avatar : /Upload/Avatar/9e77e176-d954-4c79-994b-c1dda2f45a63.jpg
     * send_time : 2017-05-05 15:10:10
     * files : []
     */

    public static final int MESSAGE_TYPE_NORMAL = 0; /*普通消息*/
    public static final int MESSAGE_TYPE_HLEP = 1;  /*一键求救消息*/

//    @SerializedName("id")
//    private String id;
//    private String receive_userid;
//    private String receive_username;
//    private String receive_usertype;
//    private String msgcontent;
//    private int isread;
//    private String read_time;
//    private String companyid;
//    private String url;
//    private String extend;
//    private String avatar;
//    private String send_time;
//    private List<FilesBean> files;
//
//    public String getId() {
//        return id;
//    }
//
//    public void setId(String id) {
//        this.id = id;
//    }
//
//    public String getReceive_userid() {
//        return receive_userid;
//    }
//
//    public void setReceive_userid(String receive_userid) {
//        this.receive_userid = receive_userid;
//    }
//
//    public String getReceive_username() {
//        return receive_username;
//    }
//
//    public void setReceive_username(String receive_username) {
//        this.receive_username = receive_username;
//    }
//
//    public String getReceive_usertype() {
//        return receive_usertype;
//    }
//
//    public void setReceive_usertype(String receive_usertype) {
//        this.receive_usertype = receive_usertype;
//    }
//
//    public String getMsgcontent() {
//        return msgcontent;
//    }
//
//    public void setMsgcontent(String msgcontent) {
//        this.msgcontent = msgcontent;
//    }
//
//    public int getIsread() {
//        return isread;
//    }
//
//    public void setIsread(int isread) {
//        this.isread = isread;
//    }
//
//    public String getRead_time() {
//        return read_time;
//    }
//
//    public void setRead_time(String read_time) {
//        this.read_time = read_time;
//    }
//
//    public String getCompanyid() {
//        return companyid;
//    }
//
//    public void setCompanyid(String companyid) {
//        this.companyid = companyid;
//    }
//
//    public String getUrl() {
//        return url;
//    }
//
//    public void setUrl(String url) {
//        this.url = url;
//    }
//
//    public String getExtend() {
//        return extend;
//    }
//
//    public void setExtend(String extend) {
//        this.extend = extend;
//    }
//
//    public String getAvatar() {
//        return avatar;
//    }
//
//    public void setAvatar(String avatar) {
//        this.avatar = avatar;
//    }
//
//    public String getSend_time() {
//        return send_time;
//    }
//
//    public void setSend_time(String send_time) {
//        this.send_time = send_time;
//    }
//
//    public List<FilesBean> getFiles() {
//        return files;
//    }
//
//    public void setFiles(List<FilesBean> files) {
//        this.files = files;
//    }

    private String createUser;
    private String createUserName;
    private String id;
    private String message;
    private String createDate;
    private String rowId;
    private List<Receipt> receipt;
    private String photos;
    private List<FilesBean> audios;
    private int isread=0;

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getRowId() {
        return rowId;
    }

    public void setRowId(String rowId) {
        this.rowId = rowId;
    }

    public List<Receipt> getReceipt() {
        return receipt;
    }

    public void setReceipt(List<Receipt> receipt) {
        this.receipt = receipt;
    }

    public String getPhotos() {
        return photos;
    }

    public void setPhotos(String photos) {
        this.photos = photos;
    }

    public List<FilesBean> getAudios() {
        return audios;
    }

    public void setAudios(List<FilesBean> audios) {
        this.audios = audios;
    }

    public int getIsread() {
        return isread;
    }

    public void setIsread(int isread) {
        this.isread = isread;
    }

    public class Receipt {
        private String flag;
        private String recipientTime;
        private String recipient;
        private String recipientName;

        public String getFlag() {
            return flag;
        }

        public void setFlag(String flag) {
            this.flag = flag;
        }

        public String getRecipientTime() {
            return recipientTime;
        }

        public void setRecipientTime(String recipientTime) {
            this.recipientTime = recipientTime;
        }

        public String getRecipient() {
            return recipient;
        }

        public void setRecipient(String recipient) {
            this.recipient = recipient;
        }

        public String getRecipientName() {
            return recipientName;
        }

        public void setRecipientName(String recipientName) {
            this.recipientName = recipientName;
        }

    }

}
